/*******************************************************************************
 * Copyright (c) 2014 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.toolkit.swt;

import javax.annotation.Generated;

import org.apache.commons.lang.Validate;
import org.eclipse.jdt.annotation.NonNull;
import org.eclipse.jubula.tools.ComponentIdentifier;
import org.eclipse.jubula.toolkit.annotations.Beta;
import org.eclipse.jubula.toolkit.ToolkitInfo;
import org.eclipse.jubula.toolkit.swt.internal.SwtToolkitInfo;

/**
 * Factory for creating components from the swt toolkit.
 * @noextend This class is not intended to be extended by clients.
 */
@Generated(value = "org.eclipse.jubula.toolkit.api.gen.FactoryGenerator", 
           date =  "2017-05-05T08:49:07.667Z")
public class SwtComponents {
    
    @NonNull private final static ToolkitInfo TOOLKIT_INFORMATION = SwtToolkit.createToolkitInformation();

    private SwtComponents() {
        super();
    }
    
    /** 
     *  @return the toolkit information, not recommended to be modified
     */
    @NonNull public static ToolkitInfo getToolkitInformation() {
        return TOOLKIT_INFORMATION;
    }

    /** create a new representative for a {@link org.eclipse.swt.widgets.ToolItem} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.ToolItem createToolItem (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.ToolItem> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.ToolItem(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.ToolItem} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.handler.ToolItemActionHandler createToolItemActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.ToolItem> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ToolItemActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link JavaReflection} component.
     * @since 4.0
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ReflectionComponent createJavaReflection () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.JavaReflection();
    }
    
    /** create a new instance of JavaReflectionActionHandler 
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ReflectionComponentActionHandler createJavaReflectionActionHandler () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.JavaReflectionActionHandler();
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Label} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextComponent createLabel (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Label(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Label} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextComponentActionHandler createLabelActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.LabelActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.custom.CLabel} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextComponent createCLabel (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.CLabel(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.custom.CLabel} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextComponentActionHandler createCLabelActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.CLabelActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Text} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextInputComponent createText (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Text(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Text} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextInputComponentActionHandler createTextActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TextActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.custom.StyledText} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextInputComponent createStyledText (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.StyledText(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.custom.StyledText} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextInputComponentActionHandler createStyledTextActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.StyledTextActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Button} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ButtonComponent createButton (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Button(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Button} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ButtonComponentActionHandler createButtonActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ButtonActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link Application} component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.Application createApplication () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Application();
    }
    
    /** create a new instance of ApplicationActionHandler 
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ApplicationActionHandler createApplicationActionHandler () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ApplicationActionHandler();
    }
    /** create a new representative for a {@link Menu} component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.MenuBarComponent createMenu () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Menu();
    }
    
    /** create a new instance of MenuActionHandler 
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.MenuBarComponentActionHandler createMenuActionHandler () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.MenuActionHandler();
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Combo} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ComboComponent createCombo (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Combo(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Combo} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ComboComponentActionHandler createComboActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ComboActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.custom.CCombo} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ComboComponent createCCombo (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.CCombo(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.custom.CCombo} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ComboComponentActionHandler createCComboActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.CComboActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.List} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ListComponent createList (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ListComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.List(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.List} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ListComponentActionHandler createListActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ListComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ListActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.TabFolder} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TabComponent createTabFolder (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.TabFolder(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.TabFolder} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TabComponentActionHandler createTabFolderActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TabFolderActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.custom.CTabFolder} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TabComponent createCTabFolder (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.CTabFolder(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.custom.CTabFolder} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TabComponentActionHandler createCTabFolderActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.CTabFolderActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Table} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TableComponent createTable (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TableComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Table(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Table} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TableComponentActionHandler createTableActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TableComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TableActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Tree} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.Tree createTree (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.Tree> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Tree(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Tree} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.handler.TreeActionHandler createTreeActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.Tree> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TreeActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Tree} UI component.
     * @since 4.1
     */
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.TreeTable createTreeTable (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.TreeTable> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.TreeTable(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Tree} UI component.
     * @since 4.1
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.swt.components.handler.TreeTableActionHandler createTreeTableActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.swt.components.TreeTable> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TreeTableActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.DateTime} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createDateTime (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.DateTime(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.DateTime} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createDateTimeActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.DateTimeActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Scale} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createScale (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Scale(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Scale} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createScaleActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ScaleActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Slider} UI component.
     * @since 4.0
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.SliderComponent createSlider (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.SliderComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Slider(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Slider} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.SliderComponentActionHandler createSliderActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.SliderComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.SliderActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Spinner} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createSpinner (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Spinner(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Spinner} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createSpinnerActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.SpinnerActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Link} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createLink (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Link(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Link} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createLinkActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.LinkActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.ProgressBar} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createProgressBar (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.ProgressBar(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.ProgressBar} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createProgressBarActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ProgressBarActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link org.eclipse.swt.widgets.Canvas} UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.base.components.GraphicsComponent createCanvas (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Canvas(componentIdentifier);
    }
    
    /** create a new representative for a {@link org.eclipse.swt.widgets.Canvas} UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.base.components.handler.GraphicsComponentActionHandler createCanvasActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.base.components.GraphicsComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.CanvasActionHandler(componentIdentifier);
    }
    /** create a new representative for a {@link OperatingSystem} component.
     * @since 4.0
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.OperatingSystemComponent createOperatingSystem () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.OperatingSystem();
    }
    
    /** create a new instance of OperatingSystemActionHandler 
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.OperatingSystemComponentActionHandler createOperatingSystemActionHandler () {
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.OperatingSystemActionHandler();
    }
    /** create a new representative for a ComboComponent UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ComboComponent createComboComponent (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.ComboComponent(componentIdentifier);
    }
    
    /** create a new representative for a ComboComponent UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ComboComponentActionHandler createComboComponentActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ComboComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ComboComponentActionHandler(componentIdentifier);
    }
    /** create a new representative for a Item UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ButtonComponent createItem (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.Item(componentIdentifier);
    }
    
    /** create a new representative for a Item UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ButtonComponentActionHandler createItemActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ItemActionHandler(componentIdentifier);
    }
    /** create a new representative for a TextComponent UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextComponent createTextComponent (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.TextComponent(componentIdentifier);
    }
    
    /** create a new representative for a TextComponent UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextComponentActionHandler createTextComponentActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TextComponentActionHandler(componentIdentifier);
    }
    /** create a new representative for a TabComponent UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TabComponent createTabComponent (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.TabComponent(componentIdentifier);
    }
    
    /** create a new representative for a TabComponent UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TabComponentActionHandler createTabComponentActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TabComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TabComponentActionHandler(componentIdentifier);
    }
    /** create a new representative for a TextInputComponent UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.TextInputComponent createTextInputComponent (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.TextInputComponent(componentIdentifier);
    }
    
    /** create a new representative for a TextInputComponent UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.TextInputComponentActionHandler createTextInputComponentActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.TextInputComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.TextInputComponentActionHandler(componentIdentifier);
    }
    /** create a new representative for a ButtonComponent UI component.
     * 
     */
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.ButtonComponent createButtonComponent (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.ButtonComponent(componentIdentifier);
    }
    
    /** create a new representative for a ButtonComponent UI component.
     * @since 4.0
     */
    @Beta
    @NonNull public static org.eclipse.jubula.toolkit.concrete.components.handler.ButtonComponentActionHandler createButtonComponentActionHandler (@NonNull ComponentIdentifier<? extends org.eclipse.jubula.toolkit.concrete.components.ButtonComponent> componentIdentifier) {
        Validate.notNull(componentIdentifier);
        return new org.eclipse.jubula.toolkit.swt.internal.impl.handler.ButtonComponentActionHandler(componentIdentifier);
    }
}