/*******************************************************************************
 * Copyright (c) 2014 BREDEX GmbH.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     BREDEX GmbH - initial API and implementation and/or initial documentation
 *******************************************************************************/
package org.eclipse.jubula.toolkit.swt.internal;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import javax.annotation.Generated;

import org.eclipse.jdt.annotation.NonNull;
import org.eclipse.jubula.toolkit.internal.AbstractToolkitInfo;
import org.eclipse.jubula.tools.internal.xml.businessmodell.ComponentClass;
import org.eclipse.jubula.tools.internal.xml.businessmodell.Property;

/**
 * Contains information about the swt toolkit and its components
 */
@Generated(value = "org.eclipse.jubula.toolkit.api.gen.ToolkitInfoGenerator", 
           date =  "2017-05-05T08:49:07.666Z")
public final class SwtToolkitInfo extends AbstractToolkitInfo {

    @NonNull private Map<ComponentClass, String> m_map = new HashMap<ComponentClass, String>();

    /**
     * Constructor
     */
    public SwtToolkitInfo() {
        ComponentClass newComponentClass1 = new ComponentClass("org.eclipse.swt.widgets.ToolItem"); //$NON-NLS-1$
        m_map.put(newComponentClass1,"org.eclipse.jubula.rc.swt.tester.ToolItemTester"); //$NON-NLS-1$
        ComponentClass newComponentClass2 = new ComponentClass("org.eclipse.jubula.SWTReflectionComponent"); //$NON-NLS-1$
        m_map.put(newComponentClass2,"org.eclipse.jubula.rc.swt.tester.SwtReflectionTester"); //$NON-NLS-1$
        ComponentClass newComponentClass3 = new ComponentClass("org.eclipse.swt.widgets.Label"); //$NON-NLS-1$
        m_map.put(newComponentClass3,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass4 = new ComponentClass("org.eclipse.swt.custom.CLabel"); //$NON-NLS-1$
        m_map.put(newComponentClass4,"org.eclipse.jubula.rc.common.tester.LabelTester"); //$NON-NLS-1$
        ComponentClass newComponentClass5 = new ComponentClass("org.eclipse.swt.widgets.Text"); //$NON-NLS-1$
        m_map.put(newComponentClass5,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass6 = new ComponentClass("org.eclipse.swt.custom.StyledText"); //$NON-NLS-1$
        m_map.put(newComponentClass6,"org.eclipse.jubula.rc.common.tester.AbstractTextComponentTester"); //$NON-NLS-1$
        ComponentClass newComponentClass7 = new ComponentClass("org.eclipse.swt.widgets.Button"); //$NON-NLS-1$
        m_map.put(newComponentClass7,"org.eclipse.jubula.rc.swt.tester.ButtonTester"); //$NON-NLS-1$
        ComponentClass newComponentClass8 = new ComponentClass("com.bredexsw.guidancer.autswtserver.implclasses.GraphicApplication"); //$NON-NLS-1$
        m_map.put(newComponentClass8,"org.eclipse.jubula.rc.swt.tester.SwtApplicationTester"); //$NON-NLS-1$
        ComponentClass newComponentClass9 = new ComponentClass("com.bredexsw.guidancer.autswtserver.implclasses.MenuDefaultMapping"); //$NON-NLS-1$
        m_map.put(newComponentClass9,"org.eclipse.jubula.rc.swt.tester.MenuTester"); //$NON-NLS-1$
        ComponentClass newComponentClass10 = new ComponentClass("org.eclipse.swt.widgets.Combo"); //$NON-NLS-1$
        m_map.put(newComponentClass10,"org.eclipse.jubula.rc.common.tester.ComboBoxTester"); //$NON-NLS-1$
        ComponentClass newComponentClass11 = new ComponentClass("org.eclipse.swt.custom.CCombo"); //$NON-NLS-1$
        m_map.put(newComponentClass11,"org.eclipse.jubula.rc.common.tester.ComboBoxTester"); //$NON-NLS-1$
        ComponentClass newComponentClass12 = new ComponentClass("org.eclipse.swt.widgets.List"); //$NON-NLS-1$
        m_map.put(newComponentClass12,"org.eclipse.jubula.rc.common.tester.ListTester"); //$NON-NLS-1$
        ComponentClass newComponentClass13 = new ComponentClass("org.eclipse.swt.widgets.TabFolder"); //$NON-NLS-1$
        m_map.put(newComponentClass13,"org.eclipse.jubula.rc.common.tester.TabbedPaneTester"); //$NON-NLS-1$
        ComponentClass newComponentClass14 = new ComponentClass("org.eclipse.swt.custom.CTabFolder"); //$NON-NLS-1$
        m_map.put(newComponentClass14,"org.eclipse.jubula.rc.common.tester.TabbedPaneTester"); //$NON-NLS-1$
        ComponentClass newComponentClass15 = new ComponentClass("org.eclipse.swt.widgets.Table"); //$NON-NLS-1$
        m_map.put(newComponentClass15,"org.eclipse.jubula.rc.swt.tester.TableTester"); //$NON-NLS-1$
        ComponentClass newComponentClass16 = new ComponentClass("org.eclipse.swt.widgets.Tree"); //$NON-NLS-1$
        m_map.put(newComponentClass16,"org.eclipse.jubula.rc.swt.tester.TreeTester"); //$NON-NLS-1$
        ComponentClass newComponentClass17 = new ComponentClass("org.eclipse.swt.widgets.Tree"); //$NON-NLS-1$
        m_map.put(newComponentClass17,"org.eclipse.jubula.rc.swt.tester.TreeTester"); //$NON-NLS-1$
        ComponentClass newComponentClass18 = new ComponentClass("org.eclipse.swt.widgets.DateTime"); //$NON-NLS-1$
        m_map.put(newComponentClass18,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass19 = new ComponentClass("org.eclipse.swt.widgets.Scale"); //$NON-NLS-1$
        m_map.put(newComponentClass19,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass20 = new ComponentClass("org.eclipse.swt.widgets.Slider"); //$NON-NLS-1$
        m_map.put(newComponentClass20,"org.eclipse.jubula.rc.common.tester.SliderTester"); //$NON-NLS-1$
        ComponentClass newComponentClass21 = new ComponentClass("org.eclipse.swt.widgets.Spinner"); //$NON-NLS-1$
        m_map.put(newComponentClass21,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass22 = new ComponentClass("org.eclipse.swt.widgets.Link"); //$NON-NLS-1$
        m_map.put(newComponentClass22,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass23 = new ComponentClass("org.eclipse.swt.widgets.ProgressBar"); //$NON-NLS-1$
        m_map.put(newComponentClass23,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass24 = new ComponentClass("org.eclipse.swt.widgets.Canvas"); //$NON-NLS-1$
        m_map.put(newComponentClass24,"org.eclipse.jubula.rc.common.tester.WidgetTester"); //$NON-NLS-1$
        ComponentClass newComponentClass25 = new ComponentClass("org.eclipse.jubula.swt.os.component"); //$NON-NLS-1$
        m_map.put(newComponentClass25,"org.eclipse.jubula.rc.common.tester.OperatingSystemTester"); //$NON-NLS-1$
    }
    
    /** {@inheritDoc} */
    @NonNull public Map<ComponentClass, String> getTypeMapping() {
        return m_map;
    }
}